      SUBROUTINE JOBHLP(ITTY,KNDMSG,LTRBFR,LMTBFR,MAXBFR,IVIDEO)
C     RENBR(/JOBS PROGRAM, ISSUE INSTRUCTIONS)/M:99999
C
C     DONALD BARTH, YALE SCHOOL OF MANAGEMENT
C
C     THIS ROUTINE IS PART OF THE JOB INTERVIEW REQUEST SYSTEM
C
C     ITTY   = UNIT NUMBER FOR READING AND WRITING TO TERMINAL
C     KNDMSG = SELECTS WHICH MESSAGE IS TO BE ISSUED
C     LTRBFR = RETURNED WITH COMMAND TYPED BY USER IF THE
C              MESSAGE IS LONGER THAN 1 SCREEN.
C     LMTBFR = MAXIMUM NUMBER OF CHARACTERS IN COMMAND TYPED
C              BY THE USER
C     MAXBFR = RETURNED WITH NUMBER OF CHARACTERS TYPED BY THE
C              USER IF MESSAGE IS LONGER THAN 1 SCREEN
C     IVIDEO = SELECTS WHETHER SCREEN IS CLEARED
C            = -1, PAPER OUTPUT, DO NOT ISSUE FORM FEEDS
C            = 0, SCROLLING VIDEO, DO NOT ISSUE FORM FEEDS
C            = 1, CLEAR SCREEN AT START AND IN MIDDLE OF LONG
C              MESSAGES.
C            = 2, DO NOT CLEAR SCREEN AT START, BUT DO CLEAR
C              SCREEN IN MIDDLE OF LONG MESSAGES.
C
      DIMENSION LTRBFR(LMTBFR)
    1 FORMAT(1X/' (press RETURN to continue)',$)
    2 FORMAT(1A1)
    3 FORMAT(1X)
      MAXBFR=0
C
C     INDICATE IF ISSUE FORM FEEDS AFTER FULL SCREENS
      IF(IVIDEO.LE.0)GO TO 8
C
C     IF ON VIDEO TERMINAL AND ARE GOING TO ISSUE MULTIPLE
C     PAGES, THEN ISSUE FORM FEED THAT PUTS NEXT TYPING ON
C     TOP LINE OF THE SCREEN.
      IF(IVIDEO.EQ.1)CALL RSMWIP(ITTY)
    8 CONTINUE
C
C     TRANSFER TO WRITE STATEMENT FOR DESIRED MESSAGE
      GO TO(
     1  100, 200, 300, 400, 500, 600, 700, 800, 900,   6,
     2 1100,1200,1300,1400,1500,1600,1700,1800,1900,2000,
     3 2100,2200,2300,2400,2500,2600,2700,2800,2900,3000,
     4 3100,3200,3300,3400,3500,3600,3700,3800),KNDMSG
      GO TO 6
C
C     ASK FOR THE NAME OF THE USER
      GO TO 5
  100 CONTINUE
      WRITE(ITTY,101)
  101 FORMAT(42H Type your name exactly as you want to hav,
     139He it appear  on  the  lists  which  are/7H given ,
     218Hto the recruiters.)
C
C     INITIAL QUESTION IF NAME IS CORRECT OR TERMINAL TYPE
      GO TO 5
 1200 CONTINUE
      WRITE(ITTY,1201)
 1201 FORMAT(36H Type one of the following commands://2H Y,
     149HES  If you want your name to be given to the recr,
     226Huiters exactly as you have/6X,16Hspecified it her,
     32He./44H NO   If you want to change how your name is,
     411H to appear.)
      GO TO 5
 3000 CONTINUE
      WRITE(ITTY,3001)
 3001 FORMAT(42H You are assumed to be using a slow hardco,
     137Hpy terminal which types directly onto/7H paper.)
      GO TO 5
 3100 CONTINUE
      WRITE(ITTY,3101)
 3101 FORMAT(42H You are assumed to be using a fast video ,
     131Hterminal on which the last line/14H displayed app,
     249Hears at the bottom of the screen forcing the prev,
     313Hious lines to/15H scroll upward.)
      GO TO 5
 3200 CONTINUE
      WRITE(ITTY,3201)
 3201 FORMAT(42H You are assumed to be using a video termi,
     139Hnal on which this program can erase the/7H screen,
     223H when the screen fills.)
      GO TO 5
 3300 CONTINUE
      WRITE(ITTY,3301)
 3301 FORMAT(42H If this assumption about the type of term,
     139Hinal which you are using is wrong, then/7H you sh,
     249Hould select the proper type of terminal by typing,
     321H one of the following/24H instead of YES or NO.  ,
     449HYou will again be asked whether your name is corr,
     54Hect.//41H SLOW     if you are using a hardcopy ter,
     638Hminal which types directly onto paper./8H FAST   ,
     749H  if you are using a video terminal on which the ,
     819Hlast line displayed/10X,22Happears at the bottom ,
     943Hof the screen forcing the previous lines to)
      WRITE(ITTY,3302)
 3302 FORMAT(10X,14Hscroll upward./20H PAGING   if you are,
     149H using a video terminal on which this program can,
     210H erase the/10X,29Hscreen when the screen fills.)
C
C     DESCRIBE THE COMMANDS
      GO TO 5
 2200 CONTINUE
      WRITE(ITTY,2201)
 2201 FORMAT(42H You will be asked the question "WHAT NEXT,
     139H?" repeatedly by  this  program.   This/7H progra,
     249Hm  expects  that you will use a number rather tha,
     325Hn a name to identify each/20H firm with which you,
     449H want to request an interview.  To request an int,
     512Herview  with/33H a particular firm you would firs,
     66Ht type/40H LIST     to discover the number assigne,
     713Hd to the firm/24H and then you would type/5H REQU,
     849HEST  followed by the number assigned to the firm./
     9)
      WRITE(ITTY,2202)
 2202 FORMAT(42H Other commands which you can type in resp,
     137Honse to the "WHAT NEXT?" request are:/9H CANCEL  ,
     249H followed by the number assigned to a firm to can,
     320Hcel a request for an/10X,10Hinterview./8H PRIORIT,
     449HY followed by the number assigned to a firm to ch,
     524Hange the priority of (or/10X,17Hthe bid for) a re,
     623Hquest for an interview./22H REPORT   to obtain a ,
     749Hlist of the firms with which you have already req,
     86Huested/10X,11Hinterviews./21H SAVE     to save a c,
     947Hopy of the requests which you have made so far.)
      WRITE(ITTY,2203)
 2203 FORMAT(42H TIME     followed by the number assigned ,
     138Hto a firm to change the times when you/10X,4Hwoul,
     244Hd prefer to have the interview be scheduled./2H F,
     349Hinally, when you have finished your requests, typ,
     430He the EXIT command in response/15H to  the "WHAT ,
     549HNEXT?" request to save your requests and to quit ,
     617Hthe program.  You/28H will be able to run the pro,
     735Hgram later to modify your requests.)
C
C     SHORT LIST OF THE COMMANDS
      GO TO 5
  200 CONTINUE
      WRITE(ITTY,201)
  201 FORMAT(42H The following is a summary of the availab,
     110Hle options//27H CANCEL   to cancel request/4H EXI,
     231HT     to save requests and exit/14H LIST     to l,
     327Hist firms and their numbers/18H NAME     to chang,
     442He how your name is shown to the recruiters/4H PAP,
     547HER    to obtain a file which you can then print/
     635H PRIORITY to change priority or bid/10H REPORT   ,
     728Hto list requests made so far/17H REQUEST  to requ,
     813Hest interview/32H SAVE     to save requests but n,
     97Hot exit)
      WRITE(ITTY,202)
  202 FORMAT(42H TIME     to change preferred dates or tim,
     12Hes//43H The following options select terminal type/
     2/35H SLOW     for paper output terminal/9H FAST    ,
     331H for video without screen clear/14H PAGING   for ,
     423Hvideo with screen clear///20H Now you can either ,
     549Hpress the return key to get a more detailed expla,
     67Hnation,/39H or you can type a word in this list to,
     734H perform the corresponding option.)
      IF(IVIDEO.LT.0)GO TO 203
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  203 CONTINUE
C
C     LONG LIST OF WHAT NEXT OPTIONS
      WRITE(ITTY,204)
  204 FORMAT(42H CANCEL   and a firm number to cancel a re,
     139Hquest for an interview with  the  firm./10X,3HIf ,
     249H you  cancel  a request you have made during the ,
     319Hcurrent stage, then/10X,22Hyou will regain the ab,
     449Hility to make another request and  to  reuse  the/
     510X,35Hpriority bid used for this request./7H EXIT  ,
     63X,46Hto save the requests which you have made so fa,
     725Hr and then exit from this/10X,16Hprogram.   You  ,
     849Hcan  run  this  program later, as often as you wa,
     96Hnt, to)
      WRITE(ITTY,205)
  205 FORMAT(10X,38Hchange your requests.  You must, howev,
     133Her, complete your  selections  by/10X,9Hthe  anno,
     249Hunced  due date.  Your requests cannot be process,
     313Hed unless you/10X,28Huse the SAVE option to save ,
     443Hyour requests or the EXIT  option  to  exit/10X,
     517Hfrom the program./28H LIST     to list the number,
     649Hs identifying the firms.  These  numbers  are  ne,
     74Heded/10X,38Hfor the REQUEST, PRIORITY, TIME and CA,
     814HNCEL commands./31H NAME     to check or change ho,
     940Hw your name will be shown to recruiters.)
      WRITE(ITTY,206)
  206 FORMAT(42H PAPER    to write a report of the firms w,
     139Hith which you have requested interviews/10X,3Hint,
     249Ho  a  file  which you can then print.  This repor,
     319Ht contains the same/10X,22Hinformation about each,
     449H request as is  shown  to  you  directly  by  the/
     510X,15HREPORT command./26H PRIORITY and a firm numbe,
     649Hr to change the priority of (or the bid for) a  r,
     76Hequest/10X,31Hfor an interview with the firm./2H R,
     849HEPORT   to list the firms with which you  have  r,
     930Hequested  interviews  so  far.)
      WRITE(ITTY,207)
  207 FORMAT(10X,38HRequested  times  and  the  priorities,
     133H  or  bids  you assigned to these/10X,9Hrequests ,
     215Hare also shown.)
      IF(IVIDEO.LT.0)GO TO 208
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  208 CONTINUE
      WRITE(ITTY,209)
  209 FORMAT(42H REQUEST  and a firm number to request an ,
     125Hinterview with that firm./20H SAVE     to save th,
     249He requests which you have made so far.  If the co,
     312Hmputer dies,/10X,29Hthen  these  will  be the req,
     442Huests which will be in effect when you run/10X,
     549Hthis program the next time.  The SAVE command doe,
     622Hs not  exit  you  from/10X,19Hthis program.  You ,
     749Hcan continue to request additional interviews now,
     81H./45H TIME     and a firm number to change the dat,
     936He and/or  the  times  at  which  you)
      WRITE(ITTY,210)
  210 FORMAT(10X,38Hwould  prefer  to  have your interview,
     133H with the firm be scheduled.  You/10X,9Hwill be a,
     249Hsked to specify the date when  you  would  like  ,
     313Hto  have  the/10X,28Hinterview  if  the firm is h,
     443Holding interviews on more than 1 date.  You/10X,
     549Hwill then be asked to specify the time at which y,
     622Hou most prefer to have/10X,19Hthe interview.  You,
     749H can specify additional times in decreasing order,
     83H of/10X,39Hpreference.  If you have specified a da,
     932Hte, then the  times  will  apply)
      WRITE(ITTY,211)
  211 FORMAT(10X,38Honly  for  that date.  If you have not,
     133H specified a date, then the times/10X,9Hwill appl,
     249Hy on any date.  After you have specified as many ,
     313Htimes as  you/10X,28Hwant, merely press the RETUR,
     443HN key again to get back to the "WHAT NEXT?"/10X,
     58Hrequest.//37H Following commands change how termin,
     643Hal you are using is handled by this program//2H S,
     749HLOW     if running this program from a slow or ha,
     815Hrdcopy terminal)
      WRITE(ITTY,212)
  212 FORMAT(42H FAST     if running this program from a f,
     139Hast video terminal which  cannot  clear/10X,3Hthe,
     221H screen between pages)
      IF(IVIDEO.LT.0)GO TO 213
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  213 CONTINUE
      WRITE(ITTY,214)
  214 FORMAT(42H PAGING   if running this program from a f,
     139Hast video terminal which can clear  the/10X,3Hscr,
     243Heen when instructed to do so by the program)
C
C     ASK FOR IDENTIFICATION CODE OF FIRM
      GO TO 5
  300 CONTINUE
      WRITE(ITTY,301)
  301 FORMAT(42H Type the number which identifies the firm,
     134H with which you want to request an/11H interview.,
     249H  If you do not know this number, merely press th,
     320He RETURN key now and/25H issue the LIST command i,
     439Hn response to the "WHAT NEXT?" request.)
      GO TO 5
 1000 CONTINUE
      WRITE(ITTY,1001)
 1001 FORMAT(42H Type the number which identifies the firm,
     135H with which you want to cancel your/10H request f,
     249Hor an interview.  If you do not know this number,,
     317H merely press the/28H RETURN key now and issue th,
     448He REPORT command in response to the "WHAT NEXT?"/
     59H request.)
      GO TO 5
 1100 CONTINUE
      WRITE(ITTY,1101)
 1101 FORMAT(42H Type the number which identifies the firm,
     134H with which you want to change the/11H priority o,
     249Hf your request for an interview.  If you do not k,
     316Hnow this number,/29H merely press the RETURN key ,
     449Hnow and issue the REPORT command in response to t,
     52Hhe/22H "WHAT NEXT?" request.)
      GO TO 5
 1800 CONTINUE
      WRITE(ITTY,1801)
 1801 FORMAT(42H Type the number which identifies the firm,
     134H with which you want to change the/11H times when,
     249H you would like to have the interview be held.  I,
     317Hf you do not know/28H this number, merely press t,
     449Hhe RETURN key now and issue the REPORT command in/
     538H response to the "WHAT NEXT?" request.)
C
C     AFTER SHOWING FIRM NAME, ASK IF THIS IS THE CORRECT FIRM
      GO TO 5
  400 CONTINUE
      WRITE(ITTY,401)
  401 FORMAT(36H Type one of the following commands:/3H YE,
     131HS  If this is the correct firm./14H NO   If this ,
     249His not the correct firm.  The option which you re,
     316Hquested will not/6X,13Hbe performed.)
C
C     ASK IF USER WANTS TO SEE A SUMMARY OF THE FIRMS REQUESTED
      GO TO 5
  500 CONTINUE
      WRITE(ITTY,501)
  501 FORMAT(42H You cannot request interviews at this tim,
     132He.  However, you can review your/13H current requ,
     249Hests and the action taken on your earlier request,
     32Hs.//36H Type one of the following commands./4H YES,
     438H  If you want to review your requests./8H NO   If,
     541H you do not want to review your requests.)
C
C     ASK IF USER WANTS PAPER COPY OF REPORT
      GO TO 5
 3600 CONTINUE
      WRITE(ITTY,3601)
 3601 FORMAT(42H The interviews which you have requested c,
     136Han be summarized in a file which you/9H can then,
     27H print.//36H Type one of the following commands:/
     349H YES  If this if you want to obtain a file which ,
     419Hyou can then print./26H NO   If this if you do no,
     537Ht want a paper copy of your requests.)
C
C     PRIORITY ASSIGNMENT TYPE 1
C     ASK USER TO ASSIGN PRIORITY VALUE
      GO TO 5
 2100 CONTINUE
      WRITE(ITTY,2101)
 2101 FORMAT(42H You must specify a different number as  t,
     139Hhe  priority  for  each  request.   The/7H reques,
     249Ht to which you assign a priority of 1 should be t,
     325Hhe request which you most/20H want to be successf,
     449Hul.  The requests to which you assign higher  num,
     512Hbers  should/33H be  the  ones,  in  turn,  about,
     648H  which you are less concerned.  If you assign a/
     749H priority number to the current firm which is the,
     832H same  as  the  priority  number)
      WRITE(ITTY,2102)
 2102 FORMAT(42H which you have already assigned to some o,
     139Hther firm, then that other firm will be/7H instea,
     249Hd assigned the lowest numbered priority (i.e., of,
     325H  most  concern  to  you)/20H which  is  not curr,
     449Hently in use.  You should make sure that there ar,
     512He no gaps in/33H the priority values which you as,
     648Hsign before you EXIT the  final  time  from  the/
     749H program.   If  there are gaps, i.e., if one of t,
     832Hhe numbers 1 through N is not in)
      WRITE(ITTY,2103)
 2103 FORMAT(42H use where N is the number of interviews w,
     139Hhich you have requested, then  some  of/7H your  ,
     249Hrequests  will be treated as of less concern to y,
     325Hou than they need be.  If/20H you later decide th,
     449Hat you want to change the priorities of your  req,
     512Huests,  then/33H you  can issue the PRIORITY comm,
     648Hand in response to the "WHAT NEXT?" request.  If/
     749H you are requesting interviews in the second  sta,
     832Hge  when  the  excess  interview)
      WRITE(ITTY,2104)
 2104 FORMAT(42H slots  which  were not assigned in the fi,
     139Hrst stage are being requested, then you/7H can ag,
     249Hain assign priorities starting with 1;  you do no,
     325Ht have to  select  values/20H which are greater t,
     448Hhan those which you selected in the first stage.)
C
C     PRIORITY ASSIGNMENT TYPE 2
C     ASK IF USER WANTS TO ASSIGN HIGH PRIORITY TO REQUEST
      GO TO 5
  600 CONTINUE
      WRITE(ITTY,601)
  601 FORMAT(42H You can assign a high priority to a limit,
     133Hed number of requests.  If you do/12H assign such,
     249H a high priority to the current request, then you,
     317Hr request will be/28H honored before a low priori,
     449Hty made by anyone else in the current stage of th,
     51He/15H current round.//25H Type one of the followin,
     611Hg commands:/34H YES  If you want to assign a high,
     726H priority to this request./19H NO   If you do not,
     848H want to assign a high priority to this request.)
C
C     PRIORITY ASSIGNMENT TYPE 3
C     ASK AMOUNT USER WANTS TO BID
      GO TO 5
 2400 CONTINUE
      WRITE(ITTY,2401)
 2401 FORMAT(42H Type the amount that you want to bid on y,
     139Hour request for an interview with  this/7H firm. ,
     249H  This  will  be  a  number  of zero or greater. ,
     325H The highest bids will be/20H assigned interviews,
     449H first, then the next highest, and so on.  While ,
     512Hyou can  bid/33H zero  on  your  request,  such  ,
     648Hzero bids will be assigned last, and will be the/
     749H least likely to get an interview if the firm is ,
     832Hoversubscribed.   The  total  of)
      WRITE(ITTY,2402)
 2402 FORMAT(42H your  bids  for  all of your requests is ,
     139Hlimited.  If you bid more than you have/7H left, ,
     249Hthen the excess  will  be  removed  from  the  lo,
     325Hwest  of  your  bids  for/20H interviews with oth,
     49Her firms.)
C
C     ASK IF USER WANTS TO SEE A SUMMARY OF THE FIRMS REQUESTED
      GO TO 5
  700 CONTINUE
      WRITE(ITTY,701)
  701 FORMAT(42H NOTE:  if you answer YES to the following,
     138H question, then you CANNOT revise your/8H intervi,
     249Hew requests further unless you contact the SOM co,
     322Hmputer services staff.)
C
C     ASK IF USER REALLY WANTS TO SUBMIT
      GO TO 5
  800 CONTINUE
      WRITE(ITTY,801)
  801 FORMAT(36H Type one of the following commands:/3H YE,
     149HS  If you do not want to make any further changes,
     221H in your requests for/6X,21Hinterviews during the,
     349H current stage of the current round.  Your reques,
     42Hts/6X,41Hcannot be processed until and unless you ,
     532Hcomplete the SUBMIT option.  You/6X,10Hwill be un,
     649Hable to revise your interview requests further un,
     716Hless you contact/6X,26Hthe SOM computer services ,
     86Hstaff./40H NO   If you still want to make changes ,
     932Hin your requests for interviews.)
C
C     TELL USER WHAT PROGRAM THIS IS
      GO TO 5
  900 CONTINUE
      WRITE(ITTY,901)
  901 FORMAT(42H This program allows you to sign up for an,
     135Hy of the firms which are conducting/10H open inte,
     249Hrviews in the near future.  You should type ? if ,
     321Hyou do not understand/24H any question and want f,
     420Hurther instructions.//24H If you see that you hav,
     549He made a mistake in the line which you are typing,
     67H, press/39H the key marked on various terminals as,
     739H DEL, DELETE or RUBOUT as many times as/7H are ne,
     849Hcessary to back up past the character in error, t,
     920Hhen type the correct)
      WRITE(ITTY,902)
  902 FORMAT(42H character and the rest of the line.  DO N,
     137HOT use the keys marked with arrows to/9H correct ,
     29Hanything.)
C
C     TO MANY INTERVIEWS REQUESTED
      GO TO 5
 1300 CONTINUE
      WRITE(ITTY,1301)
 1301 FORMAT(42H You have already requested as many interv,
     133Hiews in the current round as this/12H program can,
     249H process.  If you really want to request an inter,
     320Hview with this firm,/25H then you will have to ca,
     432Hncel one of your other requests.)
      GO TO 5
 1900 CONTINUE
      WRITE(ITTY,1901)
 1901 FORMAT(42H You have already requested as many interv,
     133Hiews during the current interview/12H season as y,
     249Hou are allowed.  If you really want to request an,
     320H interview with this/25H firm, then you will have,
     438H to cancel one of your other requests.)
      GO TO 5
 3400 CONTINUE
      WRITE(ITTY,3401)
 3401 FORMAT(42H You have already requested as many interv,
     136Hiews during the current round as you/9H are allo,
     249Hwed.  If you really want to request an interview ,
     320Hwith this firm, then/25H you will have to cancel ,
     427Hone of your other requests.)
      GO TO 5
 3500 CONTINUE
      WRITE(ITTY,3501)
 3501 FORMAT(42H You have already requested as many interv,
     136Hiews during the current stage of the/9H current ,
     249Hround as you are allowed.  If you really want to ,
     320Hrequest an interview/25H with this firm, then you,
     448H will have to cancel one of your other requests.)
C
C     INSTRUCTIONS FOR SELECTING TIMES
      GO TO 5
 2000 CONTINUE
      WRITE(ITTY,2001)
 2001 FORMAT(42H Please note that you are not required to ,
     138Hstate any time preferences.  If you do/8H state s,
     249Home time preferences, then we will attempt to hon,
     323Hor them, but no promise/22H is made or implied.  ,
     449HIf you do not want to state any time preferences,,
     59H then you/37H should merely press the RETURN key i,
     632Hn response to the next question.)
      GO TO 5
 1600 CONTINUE
      WRITE(ITTY,1601)
 1601 FORMAT(42H Type the starting times of the interviews,
     138H you prefer, one per line and with the/8H most de,
     249Hsired time first.  When you have specified all of,
     324H the starting times that/21H interest you, merely,
     449H press the RETURN key again without having typed ,
     58Hanything/38H else.  You should type the times in a,
     643H form similar to 3:15pm, although the am is/3H no,
     749Ht needed for morning interviews and the colon and,
     827H minutes are not needed for/18H interviews which ,
     918Hstart on the hour.)
      GO TO 5
 1700 CONTINUE
      WRITE(ITTY,1701)
 1701 FORMAT(36H Type one of the following commands:/3H YE,
     149HS  If you have specified the starting times of th,
     227He interviews which you most/6X,15Hdesire for this,
     36H firm./40H NO   If you want to specify more starti,
     437Hng times.  These will be given lesser/6X,6Hprefer,
     545Hence than the ones you have already typed in.)
      GO TO 5
 2300 CONTINUE
      WRITE(ITTY,2301)
 2301 FORMAT(42H Type the date when you prefer to have the,
     139H interview with this firm.   This  date/7H can  b,
     249He typed in any conventional manner such as 3-FEB-,
     325H83 or FEBRUARY 3, 83.  If/20H possible, your inte,
     449Hrview will be scheduled on the date  you  request,
     512H.   You  can/33H only specify a single such date.,
     648H  You will be asked later to specify the time of/
     749H the day when you prefer to have the interview.  ,
     832HThose times will only  be  given)
      WRITE(ITTY,2302)
 2302 FORMAT(42H higher  priorities on this date.  Merely ,
     139Hpress the RETURN key now if you have no/7H prefer,
     249Hence about the date when the interview is schedul,
     325Hed, or if  you  want  the/20H times that you will,
     449H specify to be given higher priority on all dates,
     51H.)
C
C     INSTRUCTIONS FOR ENTERING PASSWORD
      GO TO 5
 1400 CONTINUE
      WRITE(ITTY,1401)
 1401 FORMAT(42H The password which you have specified can,
     125Hnot be used because it is/20H computationally sim,
     249Hilar to a password already in use.  This does not,
     310H mean that/35H these passwords are visually simil,
     43Har./32H Please select another password.)
      GO TO 5
 3700 CONTINUE
      WRITE(ITTY,3701)
 3701 FORMAT(42H The password that you have selected is no,
     133Ht meant to be used at this point./12H Please sele,
     220Hct another password.)
      GO TO 5
 1500 CONTINUE
      WRITE(ITTY,1501)
 1501 FORMAT(36H Type one of the following commands:/3H YE,
     149HS  if you specified the correct password and you ,
     229Hreally do want to start a new/6X,13Hset of interv,
     312Hiew requests/33H NO   if you requested some inter,
     441Hviews earlier but you specified the wrong/6X,2Hpa,
     510Hssword now)
      GO TO 5
 2500 CONTINUE
      WRITE(ITTY,2501)
 2501 FORMAT(42H If this is the first time that you have u,
     139Hsed this program, then you should  type/7H a  wor,
     249Hd or a short phrase which you do not believe can ,
     325Hbe guessed by anyone else/20H who will be running,
     449H this program.  This word or phrase will be used ,
     512H to  prevent/33H anyone  else gaining access to y,
     648Hour requests through this program.  This word or/
     749H phrase is not related to and does not depend upo,
     832Hn the password through which you)
      WRITE(ITTY,2502)
 2502 FORMAT(42H may  have  gained access to the account f,
     139Hrom which you are running this program./7H The wo,
     249Hrd or the words of a phrase must be formed from t,
     325Hhe alphabetic  letters  A/20H through  Z  and  th,
     449He  digits 0 through 9.  No other characters are a,
     512Hllowed.  The/33H word or phrase, counting the sep,
     648Harations between the words  of  a  phrase  as  1/
     749H character each, can contain up to 20 characters./
     8/48H If you have used this program before, and merel,
     933Hy wish to review or  modify  your)
      WRITE(ITTY,2503)
 2503 FORMAT(42H requests, then you must type the word or ,
     139Hthe phrase which you specified when you/7H first ,
     249Hran this program, but you do not need to match th,
     325He cases  of  any  of  the/20H alphabetic  letters,
     449H  A  through  Z  in the word or phrase.  You can ,
     512Htype capital/33H alphabetic letters where you ori,
     648Hginally specified lower case letters,  and  vice/
     749H versa.   You  will  have  to  contact  the  comp,
     832Huter  services staff if you have/13H forgotten yo,
     912Hur password.)
C
C     ERROR IN THE PASSWORD FILE
      GO TO 5
 2600 CONTINUE
      WRITE(ITTY,2601)
 2601 FORMAT(42H Through an administrative error, the numb,
     135Her which you have been assigned has/10H also been,
     249H assigned to someone else.  Please contact the JO,
     310HBS program/35H administrator to have this problem,
     446H corrected.  You cannot run this program until/
     56H then.)
C
C     PASSWORD ASSIGNED TO USER
      GO TO 5
 2700 CONTINUE
      WRITE(ITTY,2701)
 2701 FORMAT(42H You must prove that you know  both  the  ,
     139Hnumber  and  the  password  which  were/7H assign,
     249Hed  to  you  in  order  to  gain  access to this ,
     325Hprogram.  Please type the/20H password now.  This,
     449H password is not related to and  does  not  depen,
     512Hd  upon  the/33H password  through which you may ,
     648Hhave gained access to the account from which you/
     749H are  running  this  program.   You  will  have  ,
     832Hto  contact  the  JOBS   program)
      WRITE(ITTY,2702)
 2702 FORMAT(42H administrator if you have forgotten eithe,
     131Hr your number or your password.)
C
C     ASK NUMBER ASSOCIATED WITH THE PASSWORD
      GO TO 5
 2800 CONTINUE
      WRITE(ITTY,2801)
 2801 FORMAT(42H You must prove that you know  both  the  ,
     139Hnumber  and  the  password  which  were/7H assign,
     249Hed to you in order to gain access to this program,
     325H.  Please type the number/20H now.  You can type ,
     449Hthe password to the right of the number or on the,
     512H next  line./33H You  will  have  to contact the ,
     648HJOBS program administrator if you have forgotten/
     737H either your number or your password.)
C
C     USER SELECTED PASSWORD
      GO TO 5
 2900 CONTINUE
      WRITE(ITTY,2901)
 2901 FORMAT(42H If this is the first time that you have u,
     139Hsed this program, then you should  type/7H a  wor,
     249Hd or a short phrase which you do not believe can ,
     325Hbe guessed by anyone else/20H who will be running,
     449H this program.  This word or phrase will be used ,
     512H to  prevent/33H anyone  else  gaining  access  t,
     648Ho  your interview requests through this program./
     749H This word or phrase is not related to and does  ,
     832Hnot  depend  upon  the  password)
      WRITE(ITTY,2902)
 2902 FORMAT(42H through  which  you  may  have  gained  a,
     139Hccess to the account from which you are/7H runnin,
     249Hg this program.  The word or the words of a phras,
     325He must be formed from the/20H alphabetic  letters,
     449H A through Z and the digits 0 through 9.  No othe,
     512Hr characters/33H are allowed.  The word or phrase,
     648H, counting the separations between the words  of/
     749H a phrase as 1 character each, can contain up to ,
     814H20 characters./)
      WRITE(ITTY,2903)
 2903 FORMAT(42H If you have used this program before, and,
     139H merely wish to review or  modify  your/7H interv,
     249Hiew  requests,  then  you  must  type  the  word ,
     325H or  the phrase which you/20H specified when you ,
     449Hfirst ran this program, but you do  not  need  to,
     512H  match  the/33H cases  of  any of the alphabetic,
     648H letters A through Z in the word or phrase.  You/
     749H can type capital alphabetic letters where you or,
     832Higinally  specified  lower  case)
      WRITE(ITTY,2904)
 2904 FORMAT(42H letters,   and   vice  versa.   You  will,
     139H  have  to  contact  the  JOBS  program/7H admini,
     244Hstrator if you have forgotten your password.)
C
C     ASK IF REALLY WANT TO CANCEL REQUEST MADE IN PREVIOUS STAGE
      GO TO 5
 3800 CONTINUE
      WRITE(ITTY,3801)
 3801 FORMAT(42H You requested this interview prior to the,
     135H current stage.  If you cancel this/10H request, ,
     249Hthen this interview or your position on the waiti,
     315Hng list will be/30H allocated to someone else.  C,
     449Hancelling this request will not regain for you th,
     51He/45H ability to make an additional interview requ,
     634Hest and it will not regain for you/11H the abilit,
     749Hy to make an additional high priority request or ,
     818Hauction bid.  Once/27H you have cancelled this re,
     929Hquest, you cannot restore it./)
      WRITE(ITTY,3802)
 3802 FORMAT(36H Type one of the following commands:/3H YE,
     149HS  if you really want to cancel your request for ,
     228Han interview with this firm./17H NO   if you stil,
     349Hl want to have an interview with this firm, or if,
     411H you got to/6X,25Hthis question by mistake.)
      GO TO 5
C
C     RETURN TO CALLING PROGRAM
    5 WRITE(ITTY,3)
    6 RETURN
      END
